Name:        0x-proto-nerd-fonts
Version:     3.2.1
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/0xProto.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c -v

%build
# Nothing to do here

%install

install -Dm644 0xProtoNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/0xProtoNerdFont-Regular.ttf
install -Dm644 0xProtoNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/0xProtoNerdFontMono-Regular.ttf
install -Dm644 0xProtoNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/0xProtoNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/0xProtoNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/0xProtoNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/0xProtoNerdFontPropo-Regular.ttf
%license LICENSE
%doc README.md

%changelog
* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
